export declare type FunctionPart = {
    type: "function";
    identifier: string;
    args: Array<any>;
};
export declare type ObjectPart = {
    type: "object";
    identifier: string;
};
export declare class RoutingError {
    message: string;
    type: string;
    constructor(message: string, type: string);
}
export declare type NSoapOptions = {
    modifyHandler?: Function;
    useSlash?: boolean;
    index?: string;
    onNextValue?: Function;
    args?: Array<any>;
    prependArgs?: boolean;
};
export declare type Dict = {
    [key: string]: any;
} | Function;
export default function route(_app: Function | Object, _expression: string, dicts?: Array<Dict>, _options?: NSoapOptions): Promise<any>;
